Graph API Version
Education Experience
Education Experience
Reading
The person's education history
Permissions
Developers usually request these permissions for this endpoint:Marketing Apps
No data
Page management AppsNo data
Other Appsuser_education_history
Examples
GET /v2.9/{education-experience-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
$request = new FacebookRequest(
$session,
'GET',
'/{education-experience-id}'
);
$response = $request->execute();
$graphObject = $response->getGraphObject();
/* handle the result *//* make the API call */
FB.api(
"/{education-experience-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{education-experience-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();// For more complex open graph stories, use `FBSDKShareAPI`
// with `FBSDKShareOpenGraphContent`
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{education-experience-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Parameters
This endpoint doesn't have any parameters.
Fields
| Field | Description |
|---|---|
numeric string | id |
| Classes taken |
| Facebook Pages representing subjects studied |
| The Facebook Page for the degree obtained |
| The Facebook Page for this school |
string | The type of educational institution |
| People tagged who went to school with this person |
| Facebook Page for the year this person graduated |
Edges
No edgesValidation Rules
| Error | Description |
|---|---|
| 100 | Invalid parameter |